<?php


namespace App\Mobile\Synchronization\Resources;


use Illuminate\Http\Resources\Json\JsonResource;

class SyncStoreOrUpdateClientResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param \Illuminate\Http\Request $request
     * @return array
     */
    public function toArray($request)
    {
        $returnable = null;
        if($this['client']){
            $returnable = [
                "roc_fk_rot_codigo" => $this['client']->rota_cliente->roc_fk_rot_codigo ?? null,
                "pes_codigo" => $this['client']->pes_codigo ?? null,
                "pes_nome" => $this['client']->pes_nome ?? null,
                "pes_razao_social" => $this['client']->pes_razao_social ?? null,
                "pes_identificador" => $this['client']->pes_identificador ?? null,
                "contact" => new SyncContactResource($this['client']->contact_default) ?? null,
                "address" => new SyncAddressResource($this['client']->address_default) ?? null
            ];
        }



        return [
            "status_code" => $this['status_code'],
            "id" => $this['id'] ?? null,
            "messages" => $this['messages'],
            "client" => $returnable,
        ];
    }
}
